Bug 1312538 - Wine problems, related to use of Ufile 2015 (Quebec edition) to file Income tqax reruens (English part for a Quebec resident).
Wine problems, related to use of Ufile 2015 (Quebec edition) to file Income t...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
23
Unspecified Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-26 22:33 EST by Bruce Martin
Modified: 2016-12-20 14:03 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:03:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Wine HQ 1212538 None None None 2016-02-26 22:35 EST

  None (edit)
Description Bruce Martin 2016-02-26 22:33:45 EST
Description of problem:


Version-Release number of selected component (if applicable):

Q4Wine 1-1-r2 & more.

How reproducible:

Attempt to install Ufile (Quebec Windows disk edition) in Wine.

Steps to Reproduce:
1. Install Most of the elements of wine, including Winefile, Wineboot, Q4 wine, Winecfg, Wine configuration, etc.

2. Be sure the Ufile disk had been pruchased in Quebec, so as to be sure of having the quebec parts of the software included, *(these are ntot used in any other part of Canada, except Quebec.)

3. Insert Ufile disk in DVD drive, and attempt from inside Wine to install (Use only the Ufile installer (Installer.exe is for the French versions, not needed unless one is going to file a return iall in French, This exclusivity also applies for Quebec Returns.)

Actual results:

this appeares to install, but will not run. (I have also posted a message oin Linuxquestions.org in this regard.

Expected results:

2 taxation years back I was able ti install this software for that heyr and run it successfuly, including beibng able to do an electronic filing for both the Federal return and that for Quebec. the Federal one received the proper confirmation, and later the paper assessment arrived in the paper mail as normal.

As for the Quebec one, the online filing was accepted but not able to be parsed, but the eventual reasons for this were not related to any technical issue but to the exact format of my name. This occurred for later known reasons unrelated to any technical or software issues.

Additional info:
Comment 1 Peter H. Jones 2016-02-27 00:52:22 EST
Does the computational part of the Ufile from two years ago still run? (It's obviously not possible to try the filing again, unless the tax authorities are willing to let you create and use a play money account for testing.) Running the older version of Ufile on the current software would help make it possible to determine if the problem is in the updating of Ufile, or a bug in Wine.
Comment 2 Michael Cronenworth 2016-02-27 11:33:55 EST
Can you please provide a valid Wine HQ bugzilla number if you have created one? If not, please file a bug and report the number here. Please report the version of wine and not q4wine. Also, please do not set the needinfo flag.

https://bugs.winehq.org/
Comment 3 Peter H. Jones 2016-02-29 06:41:43 EST
Searching for "ufile" in WineHQ, I found
https://bugs.winehq.org/show_bug.cgi?id=39930 ,
that would allow possibly incorrect code in Ufile for Windows to display correctly. I don't know if the patch would help the reporter.

Also, I believe H&R Block has Ufile for Windows available for free at
https://store.mydownloadportal.com/hrblock/cart/add/201507/?_ga=1.229749276.1413649945.1456745363 . That link doesn't mention Ufile for Windows by name. It seems necessary to provide personal address information to be able to receive the download. If the link uses geolocation, it might block attempts to download from outside Quebec or Canada.

As I stated above, testing tax preparation software is tricky for those not registered with the tax authorities as software providers. I don't know how cooperative the authorities are in providing a testing environment for those not registered.
Comment 4 Fedora End Of Life 2016-11-24 10:47:19 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 14:03:41 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.